/* DEFAULTS */
/* /DEFAULTS */

function disableForm(theform) {
	var i, img, tempobj;
	if (theform && (document.all || document.getElementById)) {
		for (i = 0; i < theform.elements.length; i++) {
			tempobj = theform.elements[i];
			if (tempobj.type && tempobj.style.display != 'none' &&
					(
						tempobj.type.toLowerCase() == "submit" ||
						tempobj.type.toLowerCase() == "button" && tempobj.name.substr(0,8) == "btsubmit"
					)
				) {
				//tempobj.focus();
				tempobj.disabled = true;

				img = document.createElement("img");
				img.style.verticalAlign = "middle";
				img.width = '10';
				img.height = '10';
				img.src = "images/loading_sm.gif";
				tempobj.parentNode.insertBefore(img, tempobj.nextSibling);
			}
		}
	}
	return true;
}

function disableForms() {
	for (var frm = 0; frm < document.forms.length; frm++)
		disableForm(document.forms[frm]);
	return true;
}

/* checkboxes */
//global variables that can be used by ALL the functions on this page.
var imgTrue = 'images/check_on.gif';
var imgFalse = 'images/check_off.gif';

function init() {
	replaceChecks();
}

function replaceChecks() {
	var i, img, inputs = document.getElementsByTagName("input");
	for (i=0; i < inputs.length; i++) {
		if (inputs[i].getAttribute("type") == "checkbox") {
			img = document.createElement("img");
			img.className="imglink";
			//img.style.vAlign="middle";//base
			img.style.verticalAlign="middle";
			if (inputs[i].checked)
				img.src = imgTrue;
			else
				img.src = imgFalse;

			img.id = "checkImage_"+inputs[i].id;
			img.onclick = new Function("checkChange('"+inputs[i].id+"')");
			inputs[i].parentNode.insertBefore(img, inputs[i]);

			inputs[i].style.display="none";
		}
	}
}

//change the checkbox status and the replacement image
function checkChange(cb) {
	var cbo = document.getElementById(cb);
	if (cbo) {
		var cbi;
		if (cbo.checked) {
			cbo.checked = '';
			cbi = document.getElementById('checkImage_'+cb);
			if (cbi)
				cbi.src = imgFalse;
		} else {
			cbo.checked = 'checked';
			cbi = document.getElementById('checkImage_'+cb);
			if (cbi)
				cbi.src = imgTrue;
		}
	}
}

function ToggleCheckBox(cb) {
	checkChange(cb);
	/*var cbo = document.getElementById(cb);
	if (cbo) {
		cbo.checked = !cbo.checked;
	}*/
}
/* /checkboxes */

/* highlight */
var lastBC;
function L(TopicID) {
	lastBC = TopicID.style.backgroundColor;
	TopicID.style.backgroundColor = "#ddd";
}

function D(TopicID) {
	TopicID.style.backgroundColor = lastBC;
}

var gen_number_id = 0;

function simulateDeletion(obj, doundelete) {
	if (obj) {
		if (doundelete) {
			//obj.setAttribute("style", "text-decoration:none");
			//obj.style.cssText = "text-decoration:none";
			obj.style.textDecoration = "";
			//obj.disabled = false;
		} else {
			//obj.setAttribute("style", "text-decoration:line-through");
			//obj.style.cssText = "text-decoration:line-through";
			obj.style.textDecoration = "line-through";
			obj.style.color = "red";
			//obj.disabled = true;
		}
	}
}

function getOptionsForSelectControl(list, select_id) {
	var res = "";
	var slctd = false;
	for (var i in list) {
		res += "<option value='" + list[i] + "'";
		if (!slctd && ((list[i] == select_id) || (select_id < 0))) {
			res += " selected";
			slctd = true;
		}
		res += ">" + i + "</option>";
		//alert('key is: ' + i + ', value is: ' + int_nums[i]);
	}

	return res;
}

/* /highlight */

/* active link select*/
function doSelectLink(obj) {
	if (obj) {
		//obj.style.fontWeight = 'bold';
		//obj.style.setProperty('fontWeight','bold',null);
		//obj.style.color = 'red';
		//obj.style.setProperty('color','red',null);
		obj.className = 'menuitemon';
	}
}

function selectActiveLink() {
	var locfull = document.location.href;
	var tmp = new Array();

	tmp = locfull.split('/');
	locfull = tmp[tmp.length - 1];
	tmp = locfull.split('?');
	locfull = tmp[0];
	//alert(locfull);

	var thisLink;
	var coll = document.getElementsByTagName('div');

	//<div class="menuitem"><a href="main.php"> </a></div>
	var i, anchor;
	for (i=0; i<coll.length; i++) {
		if (coll[i].className == 'menuitem') {
			anchor = coll[i].getElementsByTagName('a')[0];
			if (anchor && (anchor.getAttribute('href') || anchor.getAttribute('cite'))) {
				thisLink = anchor.getAttribute('href') ? anchor.href : anchor.cite;
				tmp = thisLink.split('/');
				thisLink = tmp[tmp.length - 1];
				//alert(thisLink);

				if (thisLink == locfull) {
					doSelectLink(coll[i]);
					return true;
				}
			}
		}
	}

	return true;
}
/* /active link select */

/* cookie management */
function setCookie(Name,value) {
	var today = new Date();
	var expires = new Date();
	expires.setTime(today.getTime() + 1000*60*60*24*365);
	document.cookie = Name + "=" + escape(value) + "; expires=" + expires.toGMTString();
}

function getCookie(Name, DefValue) {
	var search = Name + "=";
	if (!DefValue)
		DefValue = '';
	if (document.cookie.length > 0) {
		var offset = document.cookie.indexOf(search);
		if (offset != -1) {
			offset += search.length;
			var end = document.cookie.indexOf(";", offset);
			if (end == -1)
				end = document.cookie.length;
			return unescape(document.cookie.substring(offset, end));
		} else return(DefValue);
	} else return(DefValue);
}

function deleteCookie(Name) {
	if (getCookie(Name))
		document.cookie = Name + "=" + "; expires=Thu, 01-Jan-1970 00:00:01 GMT";
}
/* /cookie management */

/* password strength */
function passwordStrength(password, objname) {
	var desc = new Array();
	desc[0] = " ";
	desc[1] = "";
	desc[2] = " ";
	desc[3] = "";
	desc[4] = "";
	desc[5] = " ";

	var score = 0;

	//if password bigger than 6 give 1 point
	if (password.length > 6)
		score++;

	//if password has both lower and uppercase characters give 1 point
	if ((password.match(/[a-z-]/)) && (password.match(/[A-Z-]/)))
		score++;

	//if password has at least one number give 1 point
	if (password.match(/\d+/))
		score++;

	//if password has at least one special caracther give 1 point
	if (password.match(/.[!,@,#,$,%,^,&,*,?,_,~,-,(,)]/))
		score++;

	//if password bigger than 12 give another 1 point
	if (password.length > 12)
		score++;

	document.getElementById(objname + "_text").innerHTML = desc[score];
	document.getElementById(objname + "_bar").className = "strength" + score;
}

/*
Password Strength Algorithm:

Password Length:
	5 Points: Less than 4 characters
	10 Points: 5 to 7 characters
	25 Points: 8 or more

Letters:
	0 Points: No letters
	10 Points: Letters are all lower case
	20 Points: Letters are upper case and lower case

Numbers:
	0 Points: No numbers
	10 Points: 1 number
	20 Points: 3 or more numbers

Characters:
	0 Points: No characters
	10 Points: 1 character
	25 Points: More than 1 character

Bonus:
	2 Points: Letters and numbers
	3 Points: Letters, numbers, and characters
	5 Points: Mixed case letters, numbers, and characters

Password Text Range:

	>= 90: Very Secure
	>= 80: Secure
	>= 70: Very Strong
	>= 60: Strong
	>= 50: Average
	>= 25: Weak
	>= 0: Very Weak

*/

var m_strUpperCase = "ABCDEFGHIJKLMNOPQRSTUVWXYZŨ";
var m_strLowerCase = "abcdefghijklmnopqrstuvwxyz";
var m_strNumber = "0123456789";
var m_strCharacters = "!@#$%^&*?_~";

function countContain(strPassword, strCheck) {
	var i, nCount = 0;
	for (i = 0; i < strPassword.length; i++) {
		if (strCheck.indexOf(strPassword.charAt(i)) > -1) {
			nCount++;
		}
	}
	return nCount;
}

function checkPassword(strPassword) {
	// Reset combination count
	var nScore = 0;

	// Password length
	// -- Less than 4 characters
	if (strPassword.length < 5) {
		nScore += 5;
	}
	// -- 5 to 7 characters
	else if (strPassword.length > 4 && strPassword.length < 8) {
		nScore += 10;
	}
	// -- 8 or more
	else if (strPassword.length > 7) {
		nScore += 25;
	}

	// Letters
	//var nUpperCount = countContain(strPassword, m_strUpperCase);
	var nUpperCount = strPassword.replace(/[^A-Z-]/g, '').length;
	//var nLowerCount = countContain(strPassword, m_strLowerCase);
	var nLowerCount = strPassword.replace(/[^a-z-]/g, '').length;
	var nLowerUpperCount = nUpperCount + nLowerCount;
	// -- Letters are all lower case
	if (nUpperCount == 0 && nLowerCount != 0) {
		nScore += 10;
	}
	// -- Letters are upper case and lower case
	else if (nUpperCount != 0 && nLowerCount != 0) {
		nScore += 20;
	}

	// Numbers
	//var nNumberCount = countContain(strPassword, m_strNumber);
	var nNumberCount = strPassword.replace(/[^0-9]/g, '').length;
	// -- 1 number
	if (nNumberCount >= 1) {
		nScore += 10;
	}
	// -- 3 or more numbers
	if (nNumberCount >= 3) {
		nScore += 20;
	}

	// Characters
	//var nCharacterCount = countContain(strPassword, m_strCharacters);
	var nCharacterCount = strPassword.replace(/[^!@#$%^&*?_~]/g, '').length;
	// -- 1 character
	if (nCharacterCount == 1) {
		nScore += 10;
	}
	// -- More than 1 character
	if (nCharacterCount > 1) {
		nScore += 25;
	}

	// Bonus
	// -- Letters and numbers
	if (nNumberCount != 0 && nLowerUpperCount != 0) {
		nScore += 2;
	}
	// -- Letters, numbers, and characters
	if (nNumberCount != 0 && nLowerUpperCount != 0 && nCharacterCount != 0) {
		nScore += 3;
	}
	// -- Mixed case letters, numbers, and characters
	if (nNumberCount != 0 && nUpperCount != 0 && nLowerCount != 0 && nCharacterCount != 0) {
		nScore += 5;
	}

	return nScore;
}

function runPassword(strPassword, strFieldID) {
	var ctlText = document.getElementById(strFieldID + "_text");
	var ctlBar = document.getElementById(strFieldID + "_bar");
	if (!ctlBar || !ctlText)
		return;

	var desc = new Array();
	desc[0] = " ";
	desc[1] = "";
	desc[2] = " ";
	desc[3] = "";
	desc[4] = "";
	desc[5] = " ";
	desc[6] = "   :)";

	var nScore = checkPassword(strPassword);
	var scoreLevel = 0;

	if (nScore >= 90)
		scoreLevel = 6;
	else if (nScore >= 80)
		scoreLevel = 5;
	else if (nScore >= 70)
		scoreLevel = 4;
	else if (nScore >= 60)
		scoreLevel = 3;
	else if (nScore >= 50)
		scoreLevel = 2;
	else if (nScore >= 25)
		scoreLevel = 1;
	else
		scoreLevel = 0;

	ctlText.innerHTML = desc[scoreLevel];
	ctlBar.className = "strength" + scoreLevel;
}

/* /password strength */

function onEditControlKeyPress(obj, e) {
	if (obj) {
		var key;

		if (window.event)
			key = window.event.keyCode;
		else
		if (e)
			key = e.which;
		else
			return true;

//		var keychar;
//		keychar = String.fromCharCode(key);
//		keychar = keychar.toLowerCase();

		//alert(key);
		if ((key==13) && obj.form) {
			obj.form.submit();
			return true;
		}

		// control keys
		if ((key==null) || (key==0) || (key==8/*BkSp*/) ||
			(key==9) || (key==13) || (key==27) || (key==116/*F5*/))
			return true;
		// alphas and numbers
//		else
//		if ((("abcdefghijklmnopqrstuvwxyz0123456789").indexOf(keychar) > -1))
//			return true;
//		else
//			return false;

		obj.style.backgroundColor = "#FAF0F0";
	}
	return true;
}

function onEditControlKeyUp(obj, e) {
	if (obj) {
		var key;

		if (window.event)
			key = window.event.keyCode;
		else
		if (e)
			key = e.which;
		else
			return true;

		//alert(key);
		if (key == 116/*F5*/)
			return true;

		if (
			( (obj.type == 'text') && ((key == 46/*DEL*/) || (key == 8/*BkSp*/)) )
			||
			( (obj.type == 'select-one') && (key >= 33/*PgUp*/) && (key <= 40/*Dn*/) )
			)
			obj.style.backgroundColor = "#FAF0F0";
	}
	return true;
}
