<?php
/**
 * Main.php
 */
require_once(dirname(__FILE__).'/stk_htmls_plain.php');
require_once(dirname(__FILE__).'/stk_htmls.php');
require_once(dirname(__FILE__).'/include/session.php');

global $session;
if (!$session->db_ok) {
	print(GetClosedPageContent());
	die();
}

$pagetitle = " ";

print(GetHTMLHeader($pagetitle, $session->logged_in ? 'stk_reports.php' : null));
print(GetPageTop());
$formfocusscript = "";
?>

<div class="pagemain">

<div class="pageheader">
<table class="pageheader">
	<tr>
		<td class="headleft">&nbsp;</td>
		<td class="headnav"><?php print(GetSTKHeadMenu()); ?></td>
	</tr>
</table>
</div>

<table class="pagecontent">
	<tr>
		<td class="menu"><?php print(GetSTKMenu()); ?></td>
		<td class="content">
<?php
		if ($session->logged_in) {
			print(GetPageContentTitle($pagetitle));

			echo "<div id=\"loading\"><img src=\"images/loading.gif\" border=\"0\" alt=\"\"></div>";
			echo "<table class=\"nbpad\"><tr><td class=\"iconinfo\">&nbsp;</td><td class=\"note\">   </td></tr></table>";
		} else {
			print(GetPageContentTitle("  "));
			print(GetSTKLoginForm());

			$formfocusscript = <<<EOS
<script type="text/javascript">
<!--
	document.frmmain.accid.focus();
//-->
</script>

EOS;
}
?>
		</td>
	</tr>
</table>
</div>

<div class="pagefooter">
<table class="pagefooter">
<tr><td class="footleft">&nbsp;</td><td class="footnav">&nbsp;</td></tr>
<tr><td colspan="2" class="footcopyright">&nbsp;<?php echo SITE_COPYRIGHT ?></td></tr>
</table>
</div>

<?php
print($formfocusscript);
print(GetHTMLFooter());
?>
