<?php
require_once(dirname(__FILE__).'/stk_htmls_plain.php');
require_once(dirname(__FILE__).'/stk_htmls.php');
require_once(dirname(__FILE__).'/include/session.php');
require_once(dirname(__FILE__).'/include/functions.php');

global $session, $stk_database, $form;
if (!$session->db_ok) {
	print(GetClosedPageContent());
	die();
}

$pagetitle = " ";

$preheadcode = <<<EOS
<script type="text/javascript">
$(document).ready(function() {
	$('#case_cardalloc_days_cont').hide();
	$('input[name=case_cardalloc_method]').click(function() {
		if ($('#case_cardalloc_method_traffic').attr('checked'))
			$('#case_cardalloc_days_cont').fadeIn(200);
		else
			$('#case_cardalloc_days_cont').fadeOut(200);
		return true;
	});
});
</script>
EOS;

print(GetHTMLHeader($pagetitle, null, '', $preheadcode));
print(GetPageTop());

$ffscript = "";
?>

<div class="pagemain">

<div class="pageheader">
<table class="pageheader">
	<tr>
		<td class="headleft">&nbsp;</td>
		<td class="headnav"><?php print(GetSTKHeadMenu()) ?></td>
	</tr>
</table>
</div>

<table class="pagecontent">
	<tr>
		<td class="menu"><?php print(GetSTKMenu()) ?></td>
		<td class="content"><?php
		if ($session->logged_in) {
			print(GetPageContentTitle($pagetitle));
			?>
			<form name="frmmain" action="process.php" method="post" onSubmit="return disableForms();">
			<input type="hidden" id="sub_stk_cases" name="sub_stk_cases" value="1">
			<?php
			if (!$session->stk_case_login) {
			?>
			<div class="tabs" id='tabs-cases'>
				<div class="tab-content">
					<h1 class="tab" title="   "></h1>
					<div style="margin:10px;text-align:center;">        .</div>
					<table border="0" cellspacing="4" cellpadding="0" align="center">
					<tr>
						<td><em>*</em></td>
						<td><input class="inputm" type="text" name="case_login" maxlength="32" value="<?php echo $form->value("case_login") ?>"></td>
					</tr>
					<tr>
						<td><em>*</em></td>
						<td><input class="inputm" type="password" name="case_pass" maxlength="32" value="<?php echo $form->value("case_pass") ?>"></td>
					</tr>
					<tr>
						<td colspan="2" align="right"><input class="inputbt" type="button" name="btsubmit_case" value="" onClick="CasesSetActionAndSubmit('case_open');"></td>
					</tr>
					</table>
					<div class="enote sm"><?php echo $form->error("case_login") ?></div>
				</div>
				<div class="tab-content">
					<h1 class="tab" title="  "> </h1>
					<div style="margin:10px;text-align:justify;">              .        . <span class="red">   !</span></div>
					<table border="0" cellspacing="4" cellpadding="0" align="center">
					<tr>
						<td><em>*</em></td>
						<td><input class="inputm" type="text" name="case_login_new" maxlength="32" value="<?php echo $form->value("case_login_new") ?>"></td>
					</tr>
					<!-- <tr>
						<td><em>*</em></td>
						<td>
							<select class="inputn" name="case_type_new" >
							<?php /*
							$case_types = $stk_database->getCaseTypes();
							foreach ($case_types as $ctype) {
								if ($ctype['DOCUMENTTYPEID'] > 1)
									break;
								$sel = $ctype['DOCUMENTTYPEID'] == $form->value("case_type_new") ? 'selected' : '';
								echo "<option value=\"{$ctype['DOCUMENTTYPEID']}\" $sel>{$ctype['DOCUMENTNAME']}</option>";
							} */
							?>
							</select>
						</td>
					</tr>
					<tr>
						<td colspan="2">&nbsp;</td>
					</tr> -->
					<tr>
						<td><em>*</em></td>
						<td><input class="inputm" type="password" name="case_pass_new" maxlength="32" onkeyup="runPassword(this.value, 'pwdstrength')" value="<?php echo $form->value("case_pass_new") ?>"></td>
					</tr>
					<tr>
						<td> <em>*</em></td>
						<td><input class="inputm" type="password" name="case_pass_new2" maxlength="32" value="<?php echo $form->value("case_pass_new2") ?>"></td>
					</tr>
					<tr>
						<td class="sm blue"> </td>
						<td>
							<div class="sm blue" id="pwdstrength_text">  </div>
							<div id="pwdstrength_bar" class="strength0"></div>
						</td>
					</tr>
					<tr>
						<td colspan="2">&nbsp;</td>
					</tr>
					<tr>
						<td> </td>
						<td><input class="inputn" type="text" name="case_addinfo_new" maxlength="100" value="<?php echo $form->value("case_addinfo_new") ?>"></td>
					</tr>
					<tr>
						<td colspan="2" align="right"><input class="inputbt" type="button" name="btsubmit_case_new" value="" onClick="CasesSetActionAndSubmit('case_new');"></td>
					</tr>
					</table>
					<div class="enote sm"><?php echo $form->error("case_login_new") ?></div>
				</div>
			</div>
			<script type="text/javascript">
			<!--
				BuildTabs('tabs-cases');
				ActivateTab('tabs-cases', getCookie('tabs-cases' + '_activetab', '0'));
			//-->
			</script>
			<?php
			} else {
				$case = $stk_database->getCaseAttributes($session->stk_case_login);
				if (!empty($case)) {
				?>
					<div class="tabs" id='tabs-caseinfo'>
						<div class="tab-content" style="width:700px;overflow:auto;">
							<h1 class="tab" title="   "></h1>
							<table class="nb" cellspacing="0" style="width:200px;float:left;margin-right:40px;">
								<tr>
									<td class="infoLineParam blue"></td>
									<td class="infoLineValue"><?php echo $session->stk_case_login ?></td>
								</tr>
								<!-- <tr>
									<td class="infoLineParam blue"></td>
									<td class="infoLineValue"><?php /*echo $case['DOCUMENTNAME']*/ ?></td>
								</tr> -->
								<tr>
									<td class="infoLineParam blue"></td>
									<td class="infoLineValue"><?php echo $case['CURRENCYNAME'] .' ( : '. $case['CASECURRENCY'] .')' ?></td>
								</tr>
							</table>
							<table class="nb" cellspacing="0" style="width:200px;float:left;">
								<tr>
									<td class="infoLineParam blue"> </td>
									<td class="infoLineValue"><?php echo $case['CREATEDATE'] ?></td>
								</tr>
								<tr>
									<td class="infoLineParam blue">  </td>
									<td class="infoLineValue"><?php echo $case['LASTLOGIN'] ?></td>
								</tr>
							</table>
							<table class="nb" cellspacing="0" style="width:100px;clear:both;">
								<tr>
									<td colspan="2" class="infoLineParamNB blue">&nbsp;</td>
								</tr>
								<tr>
									<td class="infoLineParam blue"></td>
									<td class="infoLineValue"><?php echo $case['ADDINFO'] ?></td>
								</tr>
							</table>
						</div>
					</div>
					<script type="text/javascript">
					<!--
						BuildTabs('tabs-caseinfo');
						ActivateTab('tabs-caseinfo', 0);
					//-->
					</script>

					<div class="tabs" id='tabs-casecards'>
						<div class="tab-content" style="width:700px;overflow:auto;">
							<h1 class="tab" title="     "></h1>
							<?php
							$case = $stk_database->getCaseAccountsList($session->stk_case_login);
							if (!empty($case)) {
							?>
								<table class="nb" style="border-bottom:1px solid #ccc;" id="tb_casecards" cellspacing="0">
									<tr>
										<th class="infoTableHeader" width="100px"></th>
										<th class="infoTableHeaderR" width="50px"></th>
										<th class="infoTableHeader" width="50px">&nbsp;</th>
										<th class="infoTableHeader" width="120px">&nbsp;</th>
										<th class="infoTableHeader" width="50px"></th>
										<th class="infoTableHeaderR" width="50px"></th>
										<th class="infoTableHeader">.&nbsp;</th>
									</tr>
									<?php
									if (!function_exists('getTableCellNormalValue')) {
										function getTableCellNormalValue($val, $asint = false) {
											$res = $val == '' ? $asint === true ? '0': '&nbsp;' : $val;
											return $res;
										}
									}
									$summ = 0.0;
									foreach ($case as $row) {
										$summ = $summ + $row['SUMM'];
										if (!$row['MAXCONNECTIONS'])
											$row['MAXCONNECTIONS'] = '';
										$row['ROUMINGMODE'] = $row['ROUMINGMODE'] == 0 ? '' : '';

										echo "<tr>";
										echo "<td class=\"infoLineValue\">". getTableCellNormalValue($row['FIO']) ."</td>";
										echo "<td class=\"infoLineValueR\"><b>". getTableCellNormalValue(format_money($row['SUMM'])) ."</b></td>";
										echo "<td class=\"infoLineValue\">". getTableCellNormalValue($row['STARTTIME']) ."</td>";
										echo "<td class=\"infoLineValue\">". getTableCellNormalValue($stk_database->getStatusInfo($row['STATUS'])) ."</td>";
										echo "<td class=\"infoLineValue\">". getTableCellNormalValue($row['ROUMINGMODE']) ."</td>";
										echo "<td class=\"infoLineValueR\">". getTableCellNormalValue($row['CONNECTIONS'] .'/'. $row['MAXCONNECTIONS']) ."</td>";
										echo "<td class=\"infoLineValue\">". getTableCellNormalValue($row['ADDINFO']) ."</td>";
										echo "</tr>";
									}
									echo "<tr><td colspan=\"7\">&nbsp;</td></tr>";
									echo "<tr>";
									echo "<td class=\"infoLineValueRNB\"> </td>";
									echo "<td class=\"infoLineValueRNB\"><b>". getTableCellNormalValue(format_money($summ)) ."</b></td>";
									echo "<td class=\"infoLineValueNB\">&nbsp;</td>";
									echo "<td class=\"infoLineValueNB\">&nbsp;</td>";
									echo "<td class=\"infoLineValueNB\">&nbsp;</td>";
									echo "<td class=\"infoLineValueRNB\">&nbsp;</td>";
									echo "<td class=\"infoLineValueNB\">&nbsp;</td>";
									echo "</tr>";
									?>
								</table>
							<?php
							} else {
							?>
								<div class="textquoteinfo" style="width:500px;padding:10px;margin:10px 10px 10px 0;" align="left">
									<span class="sm" style="color: #666;display:block;">
										<img src="images/icon_info_big.gif" width="32" height="32" style="margin: -10px 10px -8px 0; padding-bottom:1px;" align="left">
										            
									</span>
								</div>
							<?php
							}
							?>
							<div id="spacer"></div>
							<div id="case_cardalloc_btn" style="float:left;padding:2px;">
								<a class="linkbtn" style="margin:0 16px 0 16px;" href="#"
									title="      "
									onClick="CasesShowCardAdd(false);CasesShowCardDel(false);CasesShowCardAlloc(1, true);return false;">&nbsp;</a>
							</div>
							<div id="case_cardadd_btn" style="float:left;padding:2px;">
								<a class="linkbtn" style="margin:0 16px 0 16px;" href="#"
									title="    "
									onClick="CasesShowCardAlloc(false);CasesShowCardDel(false);CasesShowCardAdd(1, true);return false;">&nbsp;</a>
							</div>
							<div id="case_carddel_btn" style="float:left;padding:2px;">
								<a class="linkbtn" style="margin:0 16px 0 16px;" href="#"
									title="    "
									onClick="CasesShowCardAlloc(false);CasesShowCardAdd(false);CasesShowCardDel(1, true);return false;">&nbsp;</a>
							</div>
							<div id="cardalloc" style="clear:both;width:400px;padding:10px;display:none;background-color:#eee;">
								<table class="nb" cellspacing="4" cellpadding="0">
								<tr>
									<td> </td>
									<td>
										<label class="imglink radio"><input type="radio" name="case_cardalloc_method" id="case_cardalloc_method" value="0" <?php echo !$form->value("case_cardalloc_method") ? 'checked': '' ?>/>   </label>
										<br>
										<label class="imglink radio"><input type="radio" name="case_cardalloc_method" id="case_cardalloc_method_traffic" value="1" <?php echo $form->value("case_cardalloc_method") == '1' ? 'checked': '' ?>/> </label>
									</td>
								</tr>
									<tr id="case_cardalloc_days_cont">
										<td>&nbsp;</td>
										<td>
											<span style="margin:auto 6px auto 10px;">-  </span>
											<input class="inputm" style="width:45px;" type="text" name="case_cardalloc_days" id="case_cardalloc_days" maxlength="5" value="<?php echo $form->value("case_cardalloc_days") == '' ? '30' : $form->value("case_cardalloc_days") ?>">
										</td>
									</tr>
								<tr>
									<td style="white-space:nowrap;"> </td>
									<td>
										<label class="imglink radio"><input type="radio" name="case_cardalloc_allowblocked" value="0" <?php echo !$form->value("case_cardalloc_allowblocked") ? 'checked': '' ?>/>    </label>
										<br>
										<label class="imglink radio"><input type="radio" name="case_cardalloc_allowblocked" value="1" <?php echo $form->value("case_cardalloc_allowblocked") == '1' ? 'checked': '' ?>/>   </label>
									</td>
								</tr>
								<tr>
									<td colspan="2" align="right">
										<input class="inputbt" type="button" name="btsubmit_case_cardalloc" value=""
											onClick="CasesSetActionAndSubmit('case_cardalloc');">
									</td>
								</tr>
								</table>
								<div class="enote sm"><?php echo $form->error("case_cardalloc_method"); ?></div>
							</div>
							<div id="cardadd" style="clear:both;width:320px;padding:10px;display:none;background-color:#eee;margin-left:70px;">
								<table class="nb" cellspacing="4" cellpadding="0">
								<tr>
									<td>- <em>*</em></td>
									<td><input class="inputm" type="text" name="case_cardadd_cardid" id="case_cardadd_cardid" maxlength="32" value="<?php echo $form->value("case_cardadd_cardid") ?>"></td>
								</tr>
								<tr>
									<td>  <em>*</em></td>
									<td><input class="inputm" type="password" name="case_cardadd_casepsw" id="case_cardadd_casepsw" maxlength="32" value="<?php echo $form->value("case_cardadd_casepsw") ?>"></td>
								</tr>
								<tr>
									<td>. </td>
									<td><input class="inputm" type="text" name="case_cardadd_cardcmnt" id="case_cardadd_cardcmnt" maxlength="100" value="<?php echo $form->value("case_cardadd_cardcmnt") ?>"></td>
								</tr>
								<tr>
									<td colspan="2" align="right">
										<input class="inputbt" type="button" name="btsubmit_case_cardadd" value="" onClick="CasesSetActionAndSubmit('case_cardadd');">
									</td>
								</tr>
								</table>
								<div class="enote sm"><?php echo $form->error("case_cardadd_cardid"); ?></div>
							</div>
							<div id="carddel" style="clear:both;width:320px;padding:10px;display:none;background-color:#eee;margin-left:190px;">
								<table class="nb" cellspacing="4" cellpadding="0">
								<tr>
									<td>- <em>*</em></td>
									<td><input class="inputm" type="text" name="case_carddel_cardid" id="case_carddel_cardid" maxlength="32" value="<?php echo $form->value("case_carddel_cardid") ?>"></td>
								</tr>
								<tr>
									<td>  <em>*</em></td>
									<td><input class="inputm" type="password" name="case_carddel_casepsw" id="case_carddel_casepsw" maxlength="32" value="<?php echo $form->value("case_carddel_casepsw") ?>"></td>
								</tr>
								<tr>
									<td colspan="2" align="right">
										<input class="inputbt" type="button" name="btsubmit_case_carddel" value="" onClick="CasesSetActionAndSubmit('case_carddel');">
									</td>
								</tr>
								</table>
								<div class="enote sm"><?php echo $form->error("case_carddel_cardid"); ?></div>
							</div>
							<div id="spacer"></div>
						</div>
					</div>
					<script type="text/javascript" language="javascript">
					<!--
						BuildTabs('tabs-casecards');
						ActivateTab('tabs-casecards', 0);
					//-->
					</script>
					<?php
					if (strlen($form->error("case_cardalloc_method")) > 0) {
					?>
						<script type="text/javascript" language="javascript">
						<!--
							CasesShowCardAdd(false);CasesShowCardDel(false);CasesShowCardAlloc(1, true);
						//-->
						</script>
					<?php
					}
					if (strlen($form->error("case_cardadd_cardid")) > 0) {
					?>
						<script type="text/javascript" language="javascript">
						<!--
							CasesShowCardAlloc(false);CasesShowCardDel(false);CasesShowCardAdd(1, true);
						//-->
						</script>
					<?php
					}
					if (strlen($form->error("case_carddel_cardid")) > 0) {
					?>
						<script type="text/javascript" language="javascript">
						<!--
							CasesShowCardAlloc(false);CasesShowCardAdd(false);CasesShowCardDel(1, true);
						//-->
						</script>
					<?php
					}
					?>
					<div style="clear:both;padding:20px;"></div>
					<input class="inputbt" type="button" name="btsubmit_case_close" value="    " onClick="CasesSetActionAndSubmit('case_close');">
				<?php
				} else {
				}
			?>
			<?php
			}
			?>
			</form>
			<?php
		} else {
			print(GetPageContentTitle("  "));
			print(GetSTKLoginForm());

			$ffscript = <<<EOS
<script type="text/javascript">
<!--
	document.frmmain.accid.focus();
//-->
</script>

EOS;
		}
		?></td>
	</tr>
</table>

</div>

<div class="pagefooter">
<table class="pagefooter">
<tr><td class="footleft">&nbsp;</td><td class="footnav">&nbsp;</td></tr>
<tr><td colspan="2" class="footcopyright">&nbsp;<?php echo SITE_COPYRIGHT ?></td></tr>
</table>
</div>

<?php
print($ffscript);
print(GetHTMLFooter());
?>
