<?php
require_once(dirname(__FILE__).'/stk_htmls_plain.php');
require_once(dirname(__FILE__).'/stk_htmls.php');
require_once(dirname(__FILE__).'/include/session.php');
require_once(dirname(__FILE__).'/include/functions.php');

global $session, $stk_database;
if (!$session->db_ok) {
	print(GetClosedPageContent());
	die();
}

$addheadcode = <<<EOS
<script type="text/javascript" src="js/calendar_ru.js"></script>
<link rel="stylesheet" type="text/css" href="styles/calendar.css" media="screen">
EOS;

$pagetitle = "  ";

print(GetHTMLHeader($pagetitle, null, $addheadcode));
print(GetPageTop());

$ffscript = "";
?>

<div class="pagemain">

<div class="pageheader">
	<table class="pageheader">
		<tr>
			<td class="headleft">&nbsp;</td>
			<td class="headnav"><?php print(GetSTKHeadMenu()) ?></td>
		</tr>
	</table>
</div>

<table class="pagecontent">
<tr>
<td class="menu"><?php print(GetSTKMenu()) ?></td>
<td class="content"><?php
	if ($session->logged_in) {
		print(GetPageContentTitle($pagetitle . '  <span class="blue">'. $session->stk_accountid) . '</span>');
		$rep_his = $stk_database->getSTKReportHistory($session->stk_accountid, $session->stk_emitterkcid);
	?>
	<form name="frmfilter" action="process.php" method="post" onSubmit="return disableForms();">
	<input type="hidden" name="sub_stk_reports" value="filter">

	<div class="tabs" id='tabs-accp'>
		<div class="tab-content" style="width:600px;">
			<h1 class="tab" title="  ">  </h1>

			<table class="nb" cellspacing="0" style="width:200px;float:left;margin-right:40px;">
				<tr>
					<td class="infoLineParam blue"></td>
					<td class="infoLineValue"><?php echo $rep_his["FIO"] ?></td>
				</tr>
				<tr>
					<td colspan="2" class="infoLineParamNB blue">&nbsp;</td>
				</tr>
				<tr>
					<td class="infoLineParam blue"> </td>
					<td class="infoLineValue"><?php echo $rep_his["TARIFPOLITICNAME"] ?></td>
				</tr>
				<tr>
					<td class="infoLineParam blue"></td>
					<td class="infoLineValue"><?php echo $rep_his["ACCOUNTTYPENAME"] ?></td>
				</tr>
			</table>
			<table class="nb" cellspacing="0" style="width:200px;float:left;">
				<tr>
					<td class="infoLineParam blue"> </td>
					<td class="infoLineValue"><?php echo $rep_his["CREATEDATE"] ?></td>
				</tr>
				<tr>
					<td colspan="2" class="infoLineParamNB blue">&nbsp;</td>
				</tr>
				<tr>
					<td class="infoLineParam blue"></td>
					<td class="infoLineValue"><?php echo $rep_his['ROUMINGMODE'] == 0 ? '' : '' ?></td>
				</tr>
				<tr>
					<td class="infoLineParam blue">  </td>
					<td class="infoLineValue"><?php echo !$rep_his['MAXCONNECTIONS'] ? '': $rep_his['MAXCONNECTIONS'] ?></td>
				</tr>
			</table>
			<table class="nb" cellspacing="0" style="width:200px;clear:both;">
				<tr>
					<td colspan="2" class="infoLineParamNB blue">&nbsp;</td>
				</tr>
				<tr>
					<td class="infoLineParam blue">  </td>
					<td class="infoLineValue"><?php echo '<b>'.format_money((round($rep_his["SUMM"]*100))/100) .'</b> (: '. $rep_his["CURRENCYNAME"] .')' ?></td>
				</tr>
				<tr>
					<td class="infoLineParam blue"> </td>
					<td class="infoLineValue"><?php echo '<b>'.$stk_database->getStatusInfo($rep_his['STATUS']) . '</b>,   ' . $rep_his['CONNECTIONS'] ?></td>
				</tr>
			</table>
		</div>
	</div>
	<script type="text/javascript">
		<!--
		BuildTabs('tabs-accp');
		ActivateTab('tabs-accp', 0);
		//-->
	</script>
	<div id="spacer"></div><div id="spacer"></div>
	<?php
		$session->initStatFilters();
	?>
	<div class="pagesubtitle">
		<div style="float:left;">
			   
			<input class="inputmw inputdate" style="width:110px;" type="text" name="sf_startdate" id="sf_startdate"
				   value="<?php echo $session->sf_startdate; ?>"
				   onkeypress='return onEditControlKeyPress(this, event)'
				   onkeyup='return onEditControlKeyUp(this, event)'
				   onchange="this.style.backgroundColor='#FAF0F0'"
				   onblur='f_tcalHideAll()'
					/>
			<span style="margin-left:4px;"></span>
			<input class="inputmw inputdate" style="width:110px;" type="text" name="sf_enddate" id="sf_enddate"
				   value="<?php echo $session->sf_enddate; ?>"
				   onkeypress='return onEditControlKeyPress(this, event)'
				   onkeyup='return onEditControlKeyUp(this, event)'
				   onchange="this.style.backgroundColor='#FAF0F0'"
				   onblur='f_tcalHideAll()'
					/>
		</div>
		<div style="float:left;margin:-1px 0 0 10px;">
			<a onclick="disableForms();this.onclick='';document.frmfilter.submit();">
				<img class="imglink" src="images/btn_apply.gif" alt="" width="84px" height="23px">
			</a>
		</div>
	</div>
	<div id="spacer"></div>
	<div class="tabs" id='tabs-accsumms'>
		<div class="tab-content" style="width:760px;overflow:auto;">
			<h1 class="tab" title=" "></h1>
			<table class="nb" style="border-bottom:1px solid #ccc;" cellspacing="0" cellpadding="3" width="100%">
				<tr><th class="infoTableHeader" style="width:120px;">/</th><th class="infoTableHeader" style="width:80px;"></th><th class="infoTableHeader" style="width:80px;"></th><th class="infoTableHeader"></th></tr>
			<?php
				$rep_addsumm = $stk_database->getSTKReportAddSumm($session->stk_accountid,$session->stk_emitterkcid,$session->sf_startdate,$session->sf_enddate);
			$cnt_add = 0;
			$summ_add = 0;
			foreach ($rep_addsumm as $row) {
				$cnt_add++;
				$summ_add = $summ_add+ $row["SUMM"];
				$sh_row_color = $cnt_add % 2 ? "#ffffff" : "#eeeeee";
				$row["ADDINFO"] = $row["ADDINFO"] == '' ? '&nbsp;' : $row["ADDINFO"];
				echo "<tr bgcolor=\"$sh_row_color\"><td class=\"infoLineValue\">".$row["ADDDATE"]."</td><td class=\"infoLineValueR\">".format_money((round($row["SUMM"]*10000))/10000)."</td><td class=\"infoLineValue\">".$row["CURRENCYNAME"]."</td><td class=\"infoLineValue\">".$row["ADDINFO"]."</td></tr>";
			}
			?>
				<tr><td colspan="5" class="infoLineValueR">:  <span class=ht_fld><?php echo $cnt_add ?></span>   <span class=ht_fld><?php echo format_money($summ_add) ?></span></td></tr>
			</table>
		</div>

		<div class="tab-content" style="width:760px;overflow:auto;">
			<h1 class="tab" title="  "></h1>
			<table class="nb" style="border-bottom:1px solid #ccc;" cellspacing="0" cellpadding="3" width="100%">
				<tr><th class="infoTableHeader" style="width:120px;">/</th><th class="infoTableHeader" style="width:80px;"></th><th class="infoTableHeader" style="width:80px;"></th><th class="infoTableHeader"></th></tr>
			<?php
				$rep_dedsumm = $stk_database->getSTKReportDeductionSumm($session->stk_accountid,$session->stk_emitterkcid,$session->sf_startdate,$session->sf_enddate);
			$cnt_ded = 0;
			$summ_ded = 0;
			foreach ($rep_dedsumm as $row) {
				$cnt_ded++;
				$summ_ded = $summ_ded + abs($row["SUMM"]);
				$sh_row_color = $cnt_ded % 2 ? "#ffffff" : "#eeeeee";
				echo "<tr bgcolor=\"$sh_row_color\"><td class=\"infoLineValue\">".$row["ADDDATE"]."</td><td class=\"infoLineValueR\">".format_money(abs(round($row["SUMM"]*10000))/10000)."</td><td class=\"infoLineValue\">".$row["CURRENCYNAME"]."</td><td class=\"infoLineValue\">".$row["ADDINFO"]."</td></tr>";
			}                                                                                   
			?>
				<tr><td colspan="5" class="infoLineValueR">:  <span class=ht_fld><?php echo $cnt_ded ?></span>   <span class=ht_fld><?php echo format_money($summ_ded) ?></span></td></tr>
			</table>
		</div>

		<div class="tab-content" style="width:760px;overflow:auto;">
			<h1 class="tab" title="   "> </h1>
			<table class="nb" style="border-bottom:1px solid #ccc;" cellspacing="0" cellpadding="3" width="100%">
				<tr><th class="infoTableHeader" style="width:120px;">/</th><th class="infoTableHeader">     </th></tr>
			<?php
				$rep_tarpolchanges = $stk_database->getSTKReportTarifPoliticChanges($session->stk_accountid, $session->stk_emitterkcid, $session->sf_startdate, $session->sf_enddate);
			$cnt_ded = 0;
			foreach ($rep_tarpolchanges as $row) {
				$cnt_ded++;
				$sh_row_color = $cnt_ded % 2 ? "#ffffff" : "#eeeeee";
				echo "<tr bgcolor=\"$sh_row_color\"><td class=\"infoLineValue\">".$row["CHANGEDATE"]."</td><td class=\"infoLineValue\">".$row["TARIFPOLITICNAMENEW"]."</td></tr>";
			}
			if ($cnt_ded === 0)
				echo "<tr><td colspan=\"2\" class=\"infoLineValue\">       .</td></tr>";
			?>
			</table>
		</div>
	</div>
	<script type="text/javascript">
		<!--
		BuildTabs('tabs-accsumms');
		ActivateTab('tabs-accsumms', getCookie('tabs-accsumms' + '_activetab', '0'));
		//-->
	</script>

	<div class="tabs" id='tabs-accsrvs'>
		<div class="tab-content" style="width:760px;overflow:auto;">
			<h1 class="tab" title=" "></h1>
		<?php
		$servidin = -999; // 
		$rep_talks = $stk_database->getSTKReport1($session->stk_accountid,$session->stk_emitterkcid,$session->sf_startdate,$session->sf_enddate,$servidin);
		$cnt_talks = 0;
		$dur = 0;
		$summ = 0;
		$pay_a = 0;
		$pay_b = 0;
		$numbera = '';
		$numberb = '';
		$linea = '';
		$lineb = '';
		$oldsessionid = 0;
		$servicename = '';
		$srvnmarr = array();
		$srvnamesarray = $stk_database->getSTKServiceNames();
		foreach ($srvnamesarray as $srvrow) {
			$srv_id = $srvrow['SERVICEID'];
			$srvnmarr[$srv_id] = $srvrow['SERVICENAME'];
		}
		?>
			<table class="nb" style="border-bottom:1px solid #ccc;" cellspacing="0" cellpadding="3">
			<?php
				if ($session->userlevel == ADMIN_LEVEL) {
				$numcols = 13;
				?>
					<tr>
						<th class="infoTableHeader">/</th>
						<th class="infoTableHeader"></th>
						<th class="infoTableHeader"></th>
						<th class="infoTableHeader"></th>
						<th class="infoTableHeader">.</th>
						<th class="infoTableHeader">.</th>
						<th class="infoTableHeader">  </th>
						<th class="infoTableHeader">  </th>
						<th class="infoTableHeader"></th>
						<th class="infoTableHeader"></th>
						<th class="infoTableHeader"></th>
						<th class="infoTableHeader">   </th>
						<th class="infoTableHeader"> </th>
					</tr>
				<?php
					foreach ($rep_talks as $row) {
						$tarifpoliticname = empty($row['TARIFPOLITICNAME']) ? '<>' : $row['TARIFPOLITICNAME'];
						if ($row['BLOCKTYPE']== 1) {
							$numbera = $row['STRPARAM'];
							$linea = $row['TECHINT1'];
							$oldsessionid = $row['SESSIONID'];
							$pay_a = $row['PAY'];
						} else {
							if ($oldsessionid != $row['SESSIONID']) {
								$numbera = $row['NUMBERA'];
								$linea = $row['LINEIN'];
								$pay_a = 0;
							}
							$numberb = $row['STRPARAM'];
							$lineb = $row['TECHINT1'];
							$pay_b = $row['PAY'] + $pay_a;

							echo "<tr><td class=\"infoLineValue\">".$row["STARTTIME"]."</td>".
									"<td class=\"infoLineValue\">".$numbera."</td>".
									"<td class=\"infoLineValue\">".$numberb."</td>".
									"<td class=\"infoLineValue\">".$row["GEOGRAPHYNAME"]."</td>".
									"<td class=\"infoLineValue\">".$row["REALVOLUME"]."</td>".
									"<td class=\"infoLineValue\">".$row["PAYABLEVOLUME"]."</td>".
									"<td class=\"infoLineValue\">".$row["FLOATCASH1"]."</td>".
									"<td class=\"infoLineValue\">".$row["FLOATCASH2"]."</td>".
									"<td class=\"infoLineValue\">".format_money($pay_b)."</td>".
									"<td class=\"infoLineValue\">".format_money($row["RESTSUMM"])."</td>".
									"<td class=\"infoLineValue\">".$servicename."</td>".
									"<td class=\"infoLineValue\">".$row["FLOATGRAPH"]."</td>".
									"<td class=\"infoLineValue\">".$tarifpoliticname."</td></tr>";
							$cnt_talks++;
							$dur = $dur + $row['REALVOLUME'];
							$summ = $summ + $pay_b;
						}
					}
			} else {
				$numcols = 10;
				?>
					<tr>
						<th class="infoTableHeader">/</th>
						<th class="infoTableHeader"></th>
						<th class="infoTableHeader"></th>
						<th class="infoTableHeader"></th>
						<th class="infoTableHeader">.</th>
						<th class="infoTableHeader">.</th>
						<th class="infoTableHeader"></th>
						<th class="infoTableHeader"></th>
						<th class="infoTableHeader"></th>
						<th class="infoTableHeader"> </th>
					</tr>
				<?php
					$sh_row = false;
					foreach ($rep_talks as $row) {
						$tarifpoliticname = empty($row['TARIFPOLITICNAME']) ? '<>' : $row['TARIFPOLITICNAME'];
						if ($row['BLOCKTYPE']== 1) {
							$numbera = $row['STRPARAM'];
							$linea = $row['TECHINT1'];
							$oldsessionid = $row['SESSIONID'];
							$pay_a = $row['PAY'];
						} else {
							if ($oldsessionid != $row['SESSIONID']) {
								$numbera = $row['NUMBERA'];
								$linea = $row['LINEIN'];
								$pay_a = 0;
							}
							$numberb = $row['STRPARAM'];
							$lineb = $row['TECHINT1'];
							$pay_b = $row['PAY'] + $pay_a;
							$summ = $summ + $pay_b;
							$pay_b = (round(($row['PAY'] + $pay_a)*10000))/10000;
							//$pay_b = (ceil(($row['PAY'] + $pay_a)*10000))/10000;
							//$pay_b = (ceil(($pay_b)*100))/100;
							$rest_summ = number_format($row["RESTSUMM"],2);
							//$rest_summ = round($row["RESTSUMM"]*100)/100;
							$servicename = $srvnmarr[$row['SERVICEID']];

							$sh_row = !$sh_row;
							$sh_row_color = $sh_row ? "#ffffff" : "#eeeeee";

							echo "<tr bgcolor=\"$sh_row_color\">".
									"<td class=\"infoLineValue\">".$row["STARTTIME"]."</td>".
									"<td class=\"infoLineValue\">".$numbera."</td>".
									"<td class=\"infoLineValue\">".$numberb."</td>".
									"<td class=\"infoLineValue\">".$row["GEOGRAPHYNAME"]."</td>".
									"<td class=\"infoLineValue\">".$row["REALVOLUME"]."</td>".
									"<td class=\"infoLineValue\">".$row["PAYABLEVOLUME"]."</td>".
									"<td class=\"infoLineValue\">".format_money($pay_b)."</td>".
									"<td class=\"infoLineValue\">".format_money($rest_summ)."</td>".
									"<td class=\"infoLineValue\">".$servicename."</td>".
									"<td class=\"infoLineValue\">".$tarifpoliticname."</td></tr>";
							$cnt_talks++;
							$dur = $dur + $row['REALVOLUME'];
						}
					}//foreach for rep_talks
			}// end user login level
			$summ = (round($summ*10000))/10000;
			?>
				<tr>
					<td colspan="<?php echo $numcols ?>" class="infoLineValueR">
						:  <span class=ht_fld><?php echo $cnt_talks ?></span>
						 <span class=ht_fld><?php echo $dur ?></span> .
						   <span class=ht_fld><?php echo format_money($summ) ?></span>
					</td>
				</tr>
			</table>
		</div>
	</div>
	<script type="text/javascript">
		<!--
		BuildTabs('tabs-accsrvs');
		ActivateTab('tabs-accsrvs', 0);
		new tcal({'id': 'cal_sf_startdate', 'controlname': 'sf_startdate'});
		new tcal({'id': 'cal_sf_enddate', 'controlname': 'sf_enddate'});
		//-->
	</script>

	</form>
	<?php
	} else {
	print(GetPageContentTitle("  "));
	print(GetSTKLoginForm());

	$ffscript = <<<EOS
<script type="text/javascript">
<!--
	document.frmmain.accid.focus();
//-->
</script>

EOS;
}

?></td>
</tr>
</table>

</div>
<!-- pageMain -->

<div class="pagefooter">
	<table class="pagefooter">
		<tr><td class="footleft">&nbsp;</td><td class="footnav">&nbsp;</td></tr>
		<tr><td colspan="2" class="footcopyright">&nbsp;<?php echo SITE_COPYRIGHT ?></td></tr>
	</table>
</div>

<?php
print($ffscript);
print(GetHTMLFooter());
?>
