<?php
require_once(dirname(__FILE__).'/stk_htmls_plain.php');
require_once(dirname(__FILE__).'/stk_htmls.php');
require_once(dirname(__FILE__).'/include/session.php');

global $session, $stk_database;
if (!$session->db_ok) {
	print(GetClosedPageContent());
	die();
}

$pagetitle = "";

print(GetHTMLHeader($pagetitle));
print(GetPageTop());

$ffscript = "";
?>

<div class="pagemain">

<div class="pageheader">
<table class="pageheader">
	<tr>
		<td class="headleft">&nbsp;</td>
		<td class="headnav"><?php print(GetSTKHeadMenu()) ?></td>
	</tr>
</table>
</div>

<table class="pagecontent">
	<tr>
		<td class="menu"><?php print(GetSTKMenu()) ?></td>
		<td class="content"><?php
		if ($session->logged_in) {
			print(GetPageContentTitle($pagetitle));
			$gen_secnumber_id = 0;
			?>
			<form name="frmmain" action="process.php" method="post" onSubmit="return disableForms();">
			<input type="hidden" name="sub_stk_security" id="sub_stk_security" value="1">
			<input type="hidden" name="hidChangedSecNumberIDHolder" id="hidChangedSecNumberIDHolder" value="">

			<div class="tabs" id='tabs-blocking'>
				<div class="tab-content" style="width:470px;">
					<h1 class="tab" title=" "> </h1>
					<?php
					$paaInfo = $stk_database->getSTKInfo($session->stk_accountid, $session->stk_emitterkcid);
					$paa_int_GetAccountInfo = $stk_database->int_GetAccountInfo($session->stk_accountid, $session->stk_emitterkcid);
					$st = $paa_int_GetAccountInfo['STATUS'];
					?>
					<span class="blue">  </span><br><b><?php echo $stk_database->getStatusInfo($paaInfo['STATUS']) ?></b>,  <?php echo $paaInfo['CONNECTIONS'] ?>.
					<br><br>
					<?php
					if (($st== -12) || ($st== -1)) {
					}
					else if (($st== -2) || ($st== -13)) {
						?>
						<input class="inputbacc" type="button" onclick="SecuritySetActionAndSubmit('sec_unblock');" name="btsubmit_sec_unblock" value=" ">
						<?php
					} else {
						?>
						<input class="inputbacc" type="button" onclick="SecuritySetActionAndSubmit('sec_block');" name="btsubmit_sec_block" value=" ">
						<?php
					}
					?>
				</div>
			</div>
			<script type="text/javascript">
			<!--
				BuildTabs('tabs-blocking');
				ActivateTab('tabs-blocking', 0);
			//-->
			</script>

			<div class="tabs" id='tabs-secur'>
				<div class="tab-content" style="width:470px;">
					<h1 class="tab" title=" "> </h1>
					<?php
					$sec_status = $stk_database->getSTKSecurityStatus($session->stk_accountid,$session->stk_emitterkcid);
					$sec_ch_nl = "";
					$sec_ch_nr = "";
					$sec_ch_fl = "";
					switch ($sec_status) {
						case 0: $sec_ch_nl = "checked"; break;
						case 1: $sec_ch_nr = "checked"; break;
						case 2: $sec_ch_fl = "checked"; break;
					}
					?>
					<fieldset>
					<legend>  </legend>
					<label class="imglink"><input type="radio" name="stk_sec_op" value="0" <?php echo $sec_ch_nl ?>/> </label>
					<label class="imglink"><input type="radio" name="stk_sec_op" value="1" <?php echo $sec_ch_nr ?>/> ,     </label>
					<label class="imglink"><input type="radio" name="stk_sec_op" value="2" <?php echo $sec_ch_fl ?>/>        </label>
					</fieldset>

					<table class="nb" style="margin-top:10px;border-bottom:1px solid #ccc;" id="stk_sec_numbers" cellspacing="0">
					<tr>
					<th> </th>
					<th></th>
					<th>&nbsp;</th>
					</tr>
					<tr class=tr_u>
					<td>
					</td></tr>
					<?php
					//get sec phones
					$sec_phones = $stk_database->getSTKSecurityPhones($session->stk_accountid,$session->stk_emitterkcid);
					$main_id = 0;
					$script = '';
					foreach ($sec_phones as $row) {
						$main_id++;
						$gen_secnumber_id = max($gen_secnumber_id, $main_id);
						$script .= sprintf("CreateSecurityNumber(%d, \"%s\", \"%s\");\n",$main_id,$row["SECURITYNUMBER"],$row["ADDITIONALINFO"]);
					}
					echo GetJavaScriptCodeBlock("var gen_secnumber_id = $gen_secnumber_id");
					echo GetJavaScriptCodeBlock($script);
					?>
					</table>
					<a class="imglinkbsm" onclick="CreateSecurityNumber()" title=" ">
						<img class="imglink" style="vertical-align:middle" src="images/add.gif" width="14" height="13" alt=" ">
						&nbsp; </a>
					<br><br>
					<input type="hidden" name="last_secnumber_id" value="<?php echo $gen_secnumber_id ?>">
					<input class="inputbacc" type="submit" name="btsubmit" value=" ">
				</div>
			</div>
			<script type="text/javascript">
			<!--
				BuildTabs('tabs-secur');
				ActivateTab('tabs-secur', 0);
			//-->
			</script>
			</form>
			<?php
		} else {
			print(GetPageContentTitle("  "));
			print(GetSTKLoginForm());

			$ffscript = <<<EOS
<script type="text/javascript">
<!--
	document.frmmain.accid.focus();
//-->
</script>

EOS;
		}
	?></td>
	</tr>
</table>

</div>
<!-- pageMain -->

<div class="pagefooter">
<table class="pagefooter">
<tr><td class="footleft">&nbsp;</td><td class="footnav">&nbsp;</td></tr>
<tr><td colspan="2" class="footcopyright">&nbsp;<?php echo SITE_COPYRIGHT ?></td></tr>
</table>
</div>

<?php
print($ffscript);
print(GetHTMLFooter());
?>
