<?php
/*
 * Created on 07.07.2008
 *
 * Image verification scheme using CAPTCHA
 *
 */

session_start();

//if ($_SERVER['REQUEST_METHOD'] == 'POST') {
//	if (isset($_POST['image_value']) && is_string($_POST['image_value']) && isset($_SESSION['image_value']) &&
//		strlen($_POST['image_value']) > 0 && strlen($_SESSION['image_value']) > 0 &&
//		$_POST['image_value'] == $_SESSION['image_value']) {
//		$ok = true;
//		unset($_SESSION['image_value']);
//}

require_once 'Text/CAPTCHA.php';

// Set CAPTCHA image options (font must exist!)
$imageOptions = array(
	'font_size'        => 24,
	'font_path'        => './fonts',
	'font_file'        => 'cour.ttf',
	//'max_lines'        => 100,
	//'min_font_size'    => 18,
	//'max_font_size'    => 24,
	'antialias'        => true,
	'text_color'       => '#000000',
	'lines_color'      => '#cacaca',
	'background_color' => '#777777'
);

// Set CAPTCHA options
$options = array(
	'width' => 180,
	'height' => 80,
	'output' => 'jpg',
	'imageOptions' => $imageOptions
);

// Generate a new Text_CAPTCHA object, Image driver
$c = Text_CAPTCHA::factory('Image');
$retval = $c->init($options);
if (PEAR::isError($retval)) {
	printf('Error initializing CAPTCHA: %s!', $retval->getMessage());
	exit;
}

// Get CAPTCHA secret passphrase
$_SESSION['image_value'] = md5($c->getPhrase());

// Get CAPTCHA image
$img = $c->getCAPTCHA();
if (PEAR::isError($img)) {
	printf('Error generating CAPTCHA: %s!', $img->getMessage());
	exit;
}
//	file_put_contents(md5(session_id()) . '.png', $img);
//
//	echo '<form method="post">' .
//			 '<img src="' . md5(session_id()) . '.png?' . time() . '" />' .
//			 '<input type="text" name="phrase" />' .
//			 '<input type="submit" /></form>';

header('Content-type: image/jpeg');
print($img);
?>
