<?php
/**
 * Constants.php
 * This file is intended to group all constants
 */

/**
 * Database Constants
 */
define("STK_DB_HOST",   '127.0.0.1');
define("STK_DB_FILE",   'd:\RINO\Win_amk\DataBases\Test\TEST.GDB?charset=WIN1251&dialect=1');
define("STK_DB_USER",   'SYSDBA');
define("STK_DB_PASS",   'q');

define("DB_ENGINE", 'ibase(firebird)');

/**
 * External connectivity constants
 */
define("EXTERNAL_OPERATION_STKCASHTRANSFER_OPERNAME", 'stkwebapp');

//STARGAZER
define("STARGAZER_CONNECTIVITY_ENABLED", false);
define("STARGAZER_HOST", '192.168.1.30');
define("STARGAZER_PORT", '5555');

define("STARGAZER_ADMIN_LOGIN", 'admin');
define("STARGAZER_ADMIN_PWD", '123456');
define("STARGAZER_ADMIN_LOGIN_LEN", 32);
define("STARGAZER_ADMIN_PWD_LEN", 32);

define("STARGAZER_LOG_MSG_LEN", 128);

define("STARGAZER_STG_HEADER", 'SG04');
define("STARGAZER_OK_HEADER", 'OKHD');
define("STARGAZER_ERR_HEADER", 'ERHD');
define("STARGAZER_OK_LOGIN", 'OKLG');
define("STARGAZER_ERR_LOGIN", 'ERLG');
define("STARGAZER_OK_LOGINS", 'OKLS');
define("STARGAZER_ERR_LOGINS", 'ERLS');

define("STARGAZER_OPERATION_STKCASHTRANSFER_INFO", '    ');

//  (-)
define("POTOK_CONNECTIVITY_ENABLED", false);

define("POTOK_DB_ENGINE", 'ibase(firebird)');
define("POTOK_DB_HOST",   '127.0.0.1');
define("POTOK_DB_FILE",   'd:\RINO\Win_amk\DataBases\Tarco-Sale\TARCO_PRIKIN.FDB?charset=WIN1251&dialect=1');
define("POTOK_DB_USER",   'SYSDBA');
define("POTOK_DB_PASS",   'q');

/**
 * Global site constants
 */
define("SITE_COPYRIGHT", ' 2008-2010   λ');

/**
 * Database Table Constants - these constants
 * hold the names of all the database tables used
 * in the script.
 */

define("TB_WEB_CACHE", "tb_web_access");
define("TB_WEB_LOG","tb_web_log");

/**
 * Special Names and Level Constants - the admin
 * page will only be accessible to the user with
 * the admin name and also to those users at the
 * admin user level.
 */
define("ADMIN_NAME", "Admin");
define("GUEST_NAME", "Guest");
define("ADMIN_LEVEL", 9);
define("USER_LEVEL",  1);
define("GUEST_LEVEL", 0);

define("ACCESS_MODE", 9);

/**
 * Cookie Constants - these are the parameters
 * to the setcookie function call, change them
 * if necessary to fit your website. If you need
 * help, visit www.php.net for more info.
 * <http://www.php.net/manual/en/function.setcookie.php>
 */
define("COOKIE_EXPIRE", 60*60*24*100);  //100 days by default
define("COOKIE_PATH", "");  //Avaible in whole domain

/**
 * Email Constants - these specify what goes in
 * the from field in the emails that the script
 * sends to users, and whether to send a
 * welcome email to newly registered users.
 */
define("EMAIL_FROM_NAME", "Admin");
define("EMAIL_FROM_ADDR", "admin@address.com");
define("EMAIL_WELCOME", false);

/**
 * PEAR LOGGER
 */
require_once 'Log.php';
$conf = array('mode' => 0600, 'dirmode' => 0755, 'timeFormat' => '%d.%m.%Y %H:%M:%S');
$logger = &Log::singleton('file', 'stk.log', '', $conf);
/*for ($i = 0; $i < 10; $i++) {
		$logger->log("Log entry $i");
}*/

?>
