<?php
require_once(dirname(__FILE__).'/stk_htmls_plain.php');
require_once(dirname(__FILE__).'/stk_htmls.php');
require_once(dirname(__FILE__).'/include/session.php');
require_once(dirname(__FILE__).'/include/functions.php');

global $session, $stk_database;
if (!$session->db_ok) {
	print(GetClosedPageContent());
	die();
}

$pagetitle = " /";

print(GetHTMLHeader($pagetitle));
print(GetPageTop());

$ffscript = "";
?>

<div class="pagemain">

<div class="pageheader">
<table class="pageheader">
	<tr>
		<td class="headleft">&nbsp;</td>
		<td class="headnav"><?php print(GetSTKHeadMenu()) ?></td>
	</tr>
</table>
</div>

<table class="pagecontent">
	<tr>
		<td class="menu"><?php print(GetSTKMenu()) ?></td>
		<td class="content"><?php
		//global $stk_database;
		if ($session->logged_in) {
			print(GetPageContentTitle($pagetitle));
			echo "<form name=\"frmmain\" action=\"process.php\" method=\"post\" onSubmit=\"return disableForm(this);\">";
			echo "<input type=\"hidden\" name=\"sub_stk_attributes\" value=\"1\">";
			//
			$paaCreator= $session->stk_accountid;
			$paa_emitterkcid = $session->stk_emitterkcid;
			//$paaInfo = array();
			$paaInfo = $stk_database->getSTKInfo($paaCreator,$paa_emitterkcid);

			$paa_ownerkc = $stk_database->getSTKNameByID($paaInfo['OWNERKCID'],"KCNAME","tbKCList","KCID");
			$paa_currentkc = $stk_database->getSTKNameByID($paaInfo['CURRENTKCID'],"KCNAME","tbKCList","KCID");
			$paa_emitterkc = $stk_database->getSTKNameByID($paaInfo['EMITTERKCID'],"KCNAME","tbKCList","KCID");
			$paa_accountvalue = $stk_database->getSTKNameByID($paaInfo['ACCOUNTVALUEID'],"ACCOUNTVALUENAME","tbAccountValues","ACCOUNTVALUEID");

			if (!$paaInfo['MAXCONNECTIONS'])
				$paa_maxconnections = "";
			else
				$paa_maxconnections = $paaInfo['MAXCONNECTIONS'];
			$paa_int_GetAccountInfo = $stk_database->int_GetAccountInfo($session->stk_accountid, $paa_emitterkcid);
			$paa_tarpolitic = $paa_int_GetAccountInfo['TARIFPOLITICNAME'];

			echo "<table class=\"tbaccount\" id=\"tb_paInfo\" cellspacing=\"0\">";
			echo "<tr>";
			echo "<td class=\"accleft\"> </td><td style=\"border-bottom:1px solid #ccc;\">".$paaInfo['CREATEDATE']."</td><td width=\"40px\">&nbsp;&nbsp</td><td class=\"accleft\"> </td><td style=\"border-bottom:1px solid #ccc;\">".$paaInfo['CREATOR']."</td>";
			echo "</tr>";
			echo "<tr height=\"20px\">";
			echo "<td/></tr>";
			echo "<tr>";
			echo "<td class=\"accleft\"> </td><td>".$paa_ownerkc."</td><td>&nbsp</td><td class=\"accleft\"> </td><td>".$paa_currentkc."</td>";
			echo "</tr>";
			echo "<tr>";
			echo "<td class=\"accleft\"> </td><td>".$paa_emitterkc."</td><td>&nbsp</td><td class=\"accleft\"> </td><td>".$paa_tarpolitic."</td>";
			echo "</tr>";
			echo "<tr>";
			echo "<td class=\"accleft\"></td><td>".$paa_accountvalue."</td><td>&nbsp</td><td class=\"accleft\">  ()</td><td>".$session->stk_accountid."</td>";
			echo "</tr>";
			echo "<tr height=\"20px\">";
			echo "<td/>";
			echo "</tr>";
			echo "<tr>";
			echo "<td class=\"accleft\"> </td><td>".$paa_int_GetAccountInfo['ACCOUNTGROUPNAME']."</td><td>&nbsp</td>";
			//echo "<td>:</td><td><input class=\"inputm\" type=\"text\" name=\"username\" maxlength=\"30\" value=\"This is me\"></td>";
			echo "</tr>";
			echo "<tr>";
			echo "<td class=\"accleft\"></td><td><input class=\"inputmww\" type=\"text\" name=inp_stk_attr_fio maxlength=\"50\" value=\"".$paaInfo['FIO']."\" readonly></td>";
			echo "</tr>";
			echo "<tr>";
			echo "<td class=\"accleft\"></td><td>".format_money((round($paa_int_GetAccountInfo['SUMM']*100))/100)."</td><td>&nbsp</td><td class=\"accleft\"> </td>";
			if ($session->userlevel== ADMIN_LEVEL) {
				echo "<td><select class=\"selectm\" name=\"sel_stk_attr_cur\">";

				$paa_currencies = $stk_database->GetAllCurrencies(1);
				foreach ($paa_currencies as $cur) {
					if ($cur['CURRENCYID']== $paaInfo['CURRENCYID']) {
						$sel_selected = "selected";
					} else {$sel_selected="";}
					echo "<option value=\"".$cur['CURRENCYID']."\" ".$sel_selected.">".$cur['CURRENCYNAME']."</option>";
				}
				echo "</select></td>";
			} else {
				$paa_curname = $stk_database->GetCurrencyNameByID($paaInfo['CURRENCYID']);
				echo "<td><input class=\"inputm\" type=\"text\" name=inp_stk_attr_fio maxlength=\"50\" value=\"".$paa_curname."\" readonly>";
				echo "</td>";
			}
			echo "</tr>";
			echo "</table>";

			echo "<br>";

			echo "<table class=\"nb\" id=\"tb_paInfo_extras\" cellspacing=\"0\">";
			echo "<tr>";
			echo "<td class=\"accright\">  </td><td><input class=inputm type=text name=inp_stk_attr_maxconnections maxlength=50 value=\"".$paa_maxconnections."\" readonly></td>";
			echo "</tr>";
			echo "<tr>";
			echo "<td class=\"accright\">  </td><td><input class=inputm type=text name=inp_stk_usrextaccount maxlength=11 value=\"".$stk_database->getPersonalAccount($session->stk_accountid,$paa_emitterkcid)."\" readonly></td>";
			echo "</tr>";
			echo "<tr>";
			//echo "<td align=right>:</td><td><select><option value=1><option value=0></select></td>";
			if ($session->userlevel== ADMIN_LEVEL) {
				$str_selroum = $paaInfo['ROUMINGMODE'] == 0 ?
					'<option value=0 SELECTED><option value=1>' :
					'<option value=0><option value=1 SELECTED>';
				echo "<td class=\"accright\"></td><td><select class=selectm name=sel_stk_attr_roum>".$str_selroum."</select></td>";
			} else {
				$paa_roum = $paaInfo['ROUMINGMODE'] == 0 ? '' : '';
				echo "<td class=\"accright\"></td><td><input class=inputm type=text name=inp_stk_usrextaccount maxlength=11 value=\"".$paa_roum."\" readonly></td>";
			}
			echo "</tr>";
			echo "</table>";
			echo "<br>";
			$st = $paa_int_GetAccountInfo['STATUS'];
			if (($st== -12) || ($st== -1)) {
			}
			else if (($st== -2) || ($st== -13)){
				echo "<input class=\"inputbacc\" type=\"button\" onclick=\"AttrOpUnBlockAccount()\" name=\"btattrunblock\" value=\" /\"><br><br><br>";
			}else {
				echo "<input class=\"inputbacc\" type=\"button\" onclick=\"AttrOpBlockAccount()\" name=\"btattrblock\" value=\" /\"><br><br><br>";
			}
			if ($session->userlevel== ADMIN_LEVEL) {
				echo "<input class=\"inputbacc\" type=\"submit\" name=\"btsubmit\" value=\" \">";
			}
			echo "</form>";

			echo "<br/><br/><b> : " . $stk_database->getStatusInfo($paaInfo['STATUS']) . ", - : ".$paaInfo['CONNECTIONS']."</b>";
		} else {
			print(GetPageContentTitle("  "));
			print(GetSTKLoginForm());

			$ffscript = <<<EOS
<script type="text/javascript">
<!--
	document.frmmain.accid.focus();
//-->
</script>

EOS;
		}
		?></td>
	</tr>
</table>

</div>
<!-- pageMain -->

<div class="pagefooter">
<table class="pagefooter">
<tr><td class="footleft">&nbsp;</td><td class="footnav">&nbsp;</td></tr>
<tr><td colspan="2" class="footcopyright">&nbsp;<?php echo SITE_COPYRIGHT ?></td></tr>
</table>
</div>

<?php
print($ffscript);
print(GetHTMLFooter());
?>
