<?php

require_once(dirname(__FILE__).'/include/session.php');

function GetSTKMenu() {
	global $session;

	$logoutlinks = !$session->logged_in ? '' :
			"<div class=\"menuitemsep\">&nbsp;</div>" .
			"<div class=\"menuitem\"><a href=\"process.php\"></a></div>";
	$curl = basename($_SERVER['SCRIPT_NAME']);

	if ($session->logged_in) {
		$menu = <<<EOS
<div id="menu">
	<div class="menuitem"><a href="stk_reports.php">  </a></div>
	<div class="menuitem"><a href="stk_cases.php"> </a></div>
	<div class="menuitem"><a href="stk_transfercash.php"> </a></div>
	<div class="menuitem"><a href="stk_notebook.php"> </a></div>
	<div class="menuitem"><a href="stk_security.php"></a></div>
	$logoutlinks
</div>
EOS;
	} else {
		$menu = <<<EOS
<div id="menu">
	<div class="menuitem"><a href="$curl"></a></div>
</div>
EOS;
	}

return $menu;
}

function GetSTKHeadMenu() {
	global $session;
	$menu = "&nbsp;";
	if ($session->logged_in) {
		$menu = "<span class=\"navl\">&nbsp;  &nbsp;$session->username&nbsp;&nbsp;&nbsp;/&nbsp;&nbsp;&nbsp;". $session->stk_accountinfoex['FIO'] . "</span>"
				."<span class=\"navr\">&nbsp;<a href=\"process.php\"></a></span>";
	}
	return $menu;
}

function GetVOLoginForm(){
	global $form;

	if($form->value("remember") != ""){
		$remember_checked = "checked";
	} else {
		$remember_checked = "";
	}

	$lf = <<<EOS
<form name="frmmain" action="process.php" method="post" onSubmit="return disableForm(this);">
<input type="hidden" name="sublogin" value="1">
<table border="0" cellspacing="4" cellpadding="0">
<tr>
	<td> </td>
	<td><input class="inputm" type="text" name="user" maxlength="30" value="{$form->value("user")}"></td>
	<td>{$form->error("user")}</td>
</tr>
<tr>
	<td></td>
	<td><input class="inputm" type="password" name="pass" maxlength="30" value="{$form->value("pass")}"></td>
	<td>{$form->error("pass")}</td>
</tr>
<tr>
	<td class="s" colspan="2" align="left">
		<input style="" type="checkbox" name="remember" id="remember" {$remember_checked}>
		<a class="imglink" onClick="ToggleCheckBox('remember')">  </a>
	</td>
</tr>
<tr>
	<td colspan="2" align="right">
		<input class="inputbt" type="submit" name="btsubmit" value="!">
	</td>
</tr>
<tr>
	<td class="sm" colspan="2" align="left"><a href="forgotpass.php"> ?</a></td>
	</tr>
</table>
</form>
EOS;

	return $lf;
}

function GetSTKLoginForm() {
	global $form;
	$s1 = 's';//session_name();
	$s2 = session_id();
	$st = time();

	$lf = <<<EOS
<script type="text/javascript" language="javascript">
<!--
function reloadPic(picname) {
	var obj = document.getElementById(picname);
	if (obj) {
		var now = new Date();
		obj.src = "imgverex2.php?$s1=$s2" + "&t=" + now.getTime();
		return true;
	}
	return false;
}
//-->
</script>
<form name="frmmain" action="process.php" method="post" onSubmit="return disableForm(this);">
<input type="hidden" name="substklogin" value="1">
<table border="0" cellspacing="4" cellpadding="0">
<tr>
	<td> </td>
	<td align="right"><input class="inputm" type="text" name="accid" maxlength="30" value="{$form->value("accid")}"></td>
	<td class="enote sm">{$form->error("accid")}</td>
</tr>
<tr>
	<td>-</td>
	<td align="right"><input class="inputm" type="password" name="pin" maxlength="30" value=""></td>
	<td class="enote sm">{$form->error("pin")}</td>
</tr>
<tr>
	<td colspan="3"><br> </td>
</tr>
<tr>
	<td align="center">
		<img id="imgver" name="imgver" width="160px" height="60" src="imgverex2.php?$s1=$s2&t=$st"
			alt=""
			title="       .      ."
			class="imglinksm"
			onclick="reloadPic('imgver')"
			>
		<br>
		<a class="imglinksm" title=" " onclick="reloadPic('imgver')"> </a>
	</td>
	<td align="right"><input class="inputm" type="text" name="checknumber" maxlength="30" value=""></td>
	<td class="enote sm">{$form->error("checknumber")}</td>
</tr>
<tr>
	<td colspan="2" align="right">
		<input class="inputbt" type="submit" name="btsubmit" value="">
	</td>
</tr>
</table>
</form>
EOS;
	return $lf;
}
?>
