<?php
require_once(dirname(__FILE__).'/include/constants.php');

function GetHTMLHeader($title, $redirectto = null, $addheadcode = '', $preheadcode = '') {
$redir = $redirectto === null ? '' : "<meta http-equiv=\"refresh\" content=\"1;URL=$redirectto\">";

/*
<meta http-equiv="pragma" content="no-cache">
<meta http-equiv="Cache-Control" content="no-cache">
<meta http-equiv="expires" content="-1">
*/
$html = <<<EOS
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<meta http-equiv=Content-Type content="text/html; charset=windows-1251">
<link rel="shortcut icon" href="favicon.ico">
$redir
<title>   :: $title</title>
<script language="JavaScript" type="text/javascript" src="js/jquery/jquery-1.5.min.js"></script>
$preheadcode
<script language="JavaScript" type="text/javascript" src="js/tabs.js"></script>
<script language="JavaScript" type="text/JavaScript" src="js/w.js"></script>
<script language="JavaScript" type="text/JavaScript" src="js/stk_cases.js"></script>
<script language="JavaScript" type="text/JavaScript" src="js/stk_notebook.js"></script>
<script language="JavaScript" type="text/JavaScript" src="js/stk_security.js"></script>
<link rel="stylesheet" type="text/css" href="styles/w.css" media="screen">
<style type="text/css" media="screen">
<!--
@import url(styles/w.css);
-->
</style>
<link rel="stylesheet" href="styles/tabs.css" type="text/css" />
<script language="JavaScript">
<!--
if(document.images){im=new Image();ims=new Array();
ims[0]="images/loading_sm.gif";
ims[1]="images/corner.gif";
ims[2]="images/calendar/pixel.gif";
ims[3]="images/calendar/shade_bl.png";
ims[4]="images/calendar/shade_bm.png";
ims[5]="images/calendar/shade_br.png";
ims[6]="images/calendar/shade_mr.png";
ims[7]="images/calendar/shade_tr.png";
var i=0;for(i=0;i<ims.length;i++)im.src=ims[i];}
//-->
</script>
$addheadcode
</head>
<body>
EOS;
return $html;
}

function GetHTMLFooter() {
$html = <<<EOS
<script type="text/javascript">
<!--
	//replaceChecks();
	selectActiveLink();
//-->
</script>
</body>
</html>\n
EOS;
return $html;
}

function GetJavaScriptCodeBlock($jscode) {
	$html = <<<EOS
<script type="text/javascript">
<!--
$jscode
//-->
</script>

EOS;
	return $html;
}


function GetPageTop() {
$html = <<<EOS
\n<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
<td align="left" width="100" background="images/head00.gif" style="font-size: 1px;">
<img src="images/head01.gif" width="100" height="80" border="0" alt="">
</td>
<td align="right" width="100%" background="images/head00.gif" style="font-size: 1px;">
<img src="images/head02.gif" width="80" height="80" border="0" alt="">
</td>
</tr>
<tr>
<td colspan="2" width="100%" background="images/logoline.gif" style="font-size: 1px;">
<img src="images/logoline.gif" width="9" height="10" border="0" alt="">
</td>
</tr>
</table>\n
EOS;
return $html;
}

function GetPageContentTitle($title) {
	return "<div class=\"pagetitle\">$title</div>";
}

function GetPageContentSubTitle($title) {
	return "<div class=\"pagesubtitle\">$title</div>";
}

function GetClosedPageContent() {
$html_inlay = <<<EOS
<table height="100%" align="center">
	<tr align="center">
		<!-- Top items -->
		<td valign="top"></td>
	</tr>
	<tr align="center">
	<!-- Middle items -->
		<td align="center" valign="middle">
		<table class="nb" cellpadding="0" cellspacing="0" align="center">
			<tr>
				<td class="iconinfo"></td>
				<td class="note">    </td>
			</tr>
		</table>
		</td>
	</tr>
	<tr align="center">
		<!-- Bottom items -->
		<td valign="bottom"><br>
		</td>
	</tr>
</table>
EOS;

	$html = GetHTMLHeader("")
			. GetPageTop()
			. $html_inlay
			. GetHTMLFooter();
	return $html;
}

?>
